Skip to main content
PATCH
Update deployment

Authorizations

Authorization
string
header
required

Path Parameters

deploymentID
string<string>
required

The deployment ID

Body

application/json
op
string
required

The type of operation to perform

Example:

"replace"

path
string
required

A JSON Pointer string specifying the part of the document to operate on

Example:

"/exampleField"

value
any

A JSON value used in "add", "replace", and "test" operations

Example:

"new example value"

Response

Deployment response

id
string<uuid>
required

The deployment ID

Example:

"a0eebc99-9c0b-4ef8-bb6d-6bb9bd380a11"

applicationKey
string
required

The application key

Example:

"billing-service"

applicationVersion
string
required

The application version

Example:

"a90a8a2"

startedAt
integer<int64>
required

The time the deployment started

Example:

"1706701522000"

status
string
required

The status of the deployment

Example:

"finished"

kind
string
required

The kind of deployment

Example:

"redeployment"

active
boolean
required

Whether the deployment is active

Example:

true

archived
boolean
required

Whether the deployment is archived

Example:

false

environmentKey
string
required

The environment key

Example:

"production"

numberOfContributors
integer
required

The number of contributors

Example:

1

numberOfPullRequests
integer
required

The number of pull requests

Example:

2

linesAdded
integer<int64>
required

The number of lines added

Example:

100

linesDeleted
integer<int64>
required

The number of lines deleted

Example:

50

leadTime
integer<int64>
required

The total lead time from first commit to deployment end in milliseconds

Example:

20237000

endedAt
integer<int64>

The time the deployment ended

Example:

"1706712518000"

durationMs
integer<int64>

The duration of the deployment in milliseconds

Example:

10996000

metadata
object

The metadata associated with the deployment

Example:
pullRequests
object

The pull requests contained in the deployment

flagReferences
object

The flag references contained in the deployment

leadTimeStages
object

The lead time stages for the deployment